git: 2a60dec0919c - main - stress2: Added a regression test. Fixed a type on an old test

Peter Holm pho at FreeBSD.org
Fri May 14 07:19:20 UTC 2021


The branch main has been updated by pho:

URL: https://cgit.FreeBSD.org/src/commit/?id=2a60dec0919c20a03c2830a9466a86f9f44fbaf0

commit 2a60dec0919c20a03c2830a9466a86f9f44fbaf0
Author:     Peter Holm <pho at FreeBSD.org>
AuthorDate: 2021-05-14 07:18:39 +0000
Commit:     Peter Holm <pho at FreeBSD.org>
CommitDate: 2021-05-14 07:18:39 +0000

    stress2: Added a regression test. Fixed a type on an old test
---
 tools/test/stress2/misc/open2.sh   | 45 ++++++++++++++++++++++++++++++++++++++
 tools/test/stress2/misc/rename2.sh |  2 +-
 2 files changed, 46 insertions(+), 1 deletion(-)

diff --git a/tools/test/stress2/misc/open2.sh b/tools/test/stress2/misc/open2.sh
new file mode 100755
index 000000000000..7c0994bfd4e4
--- /dev/null
+++ b/tools/test/stress2/misc/open2.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2021 Peter Holm <pho at FreeBSD.org>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+
+# open(2) and openat(2) syscall fuzz test
+
+# umount(8) returns busy
+# https://people.freebsd.org/~pho/stress/log/log0111.txt
+# Fixed by: cef8a95acbae
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+snums=`grep -Ew 'SYS_open|SYS_openat' /usr/include/sys/syscall.h 2>/dev/null |
+    awk '{print $NF}'`
+    [ -z "$snums" ] && exit 0
+for i in $snums; do
+	./syscall4.sh $i; s=$?
+	[ $s -ne 0 ] && break
+done
+exit $s
diff --git a/tools/test/stress2/misc/rename2.sh b/tools/test/stress2/misc/rename2.sh
index 2c9781602d2c..085a424a98f2 100755
--- a/tools/test/stress2/misc/rename2.sh
+++ b/tools/test/stress2/misc/rename2.sh
@@ -40,7 +40,7 @@ cd $here
 
 rm -rf /tmp/rename.dir.*
 start=`date +%s`
-while [ $((`date +%s` - start -lt 300 ]; do
+while [ $((`date +%s` - start)) -lt 300 ]; do
 	for j in `jot 10`; do
 		/tmp/rename2 &
 	done


More information about the dev-commits-src-all mailing list